ur_rna.StructureEditor.services.drawing.export

## Class GraphicsOp.PaintOp

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.StateOp
  - - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.PaintOp

- All Implemented Interfaces:
    GraphicsOp
  Enclosing interface:
    GraphicsOp

      public static class GraphicsOp.PaintOp
      extends GraphicsOp.StateOp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ur_rna.StructureEditor.services.drawing.export.GraphicsOp

      `GraphicsOp.ActionOp, GraphicsOp.BackgroundOp, GraphicsOp.ClearHintsOp, GraphicsOp.ClearOp, GraphicsOp.ClipOp, GraphicsOp.ColorOp, GraphicsOp.CompositeOp, GraphicsOp.ControlOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp, GraphicsOp.EndOp, GraphicsOp.FontOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.HintOp, GraphicsOp.InitOp, GraphicsOp.PaintOp, GraphicsOp.StateOp, GraphicsOp.StrokeOp, GraphicsOp.TransformOp, GraphicsOp.XorModeOp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Paint` | `paint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaintOp(java.awt.Paint paint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(GraphicsStyle c)`
    `java.awt.Paint` | `getPaint()`
    `void` | `replay(java.awt.Graphics2D g)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### paint

          private java.awt.Paint paint

  - ### Constructor Detail

    - #### PaintOp

          public PaintOp(java.awt.Paint paint)

  - ### Method Detail

    - #### apply

          public void apply(GraphicsStyle c)

    - #### getPaint

          public java.awt.Paint getPaint()

    - #### replay

          public void replay(java.awt.Graphics2D g)